<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <meta
      name="viewport"
      content="maximum-scale=1.0,minimum-scale=1.0,user-scalable=0,width=device-width,initial-scale=1.0"
    />
    <meta
      name="format-detection"
      content="telephone=no,email=no,date=no,address=no"
    />
    <title></title>
    <link rel="stylesheet" type="text/css" href="../../css/api.css" />
    <link rel="stylesheet" type="text/css" href="../../css/style.css" />
    <link rel="stylesheet" href="../../css/aui.css" />
    <link rel="stylesheet" href="../../css/projeck.css" />
    <style>
      body {
        background: #fff;
      }
      .row_content {
        padding: 0 5px;
      }
      .row_content li {
        text-align: center;
        font-size: 13px;
        padding: 12px 0;
        align-items: center;
      }
      .row_content li span:nth-child(1) {
        width: 20%;
      }
      .row_content li span:nth-child(2) {
        width: 60%;
      }
      .row_content li span:nth-child(3) {
        width: 20%;
      }
    </style>
  </head>
  <body>
    <div class="api_layout">
      <div class="row_contents">
        <ul class="row_content" id="row_content"></ul>
      </div>
    </div>
    <div class="noText hide" id="nocode">
      <img src="../../image/noText.png" alt="" />
    </div>
    <script type="text/template" id="templateMonitor">
      {{~it:value}}
        <li class="flex-space after-border relative {{=value.status}}">
            <span>{{=value.id}}</span>
            <span>{{=value.position}}</span>
            <span>{{=value.value}}{{=value.unit}}</span>
        </li>
      {{~}}
    </script>
    <script src="../../script/api.js"></script>
    <script src="../../script/doT.min.js"></script>
    <script src="../../script/config.js"></script>
    <script>
      var toast = new auiToast(),
        title,
        statusType;
      apiready = function () {
        title = api.pageParam.title;
        statusType = api.pageParam.statusType;
        monitorDataFun(api.pageParam.title, api.pageParam.statusType);
        // 监听返回按钮
        api.addEventListener(
          {
            name: 'navbackbtn',
          },
          function (ret, err) {
            api.closeWin();
          }
        );
      };
      function monitorDataFun(title, sType) {
        var data = {
          name: title,
          status: sType,
        };
        toast.loading({
          title: '加载中',
          duration: 2000,
        });
        $http.fnReuestDataNologing(
          jinfengUrlRouter.safetyDetaile,
          '',
          'post',
          data,
          function (ret, err) {
            toast.hide();
            if (ret && ret.code === 0) {
              var totals = JSON.stringify(ret.total);
              $api.setStorage('totals', totals);
              api.execScript({
                name: 'monitorDetaileWin',
                script: 'monitorDatas();',
              });
              if (ret.data.length > 0) {
                $apis.html(row_content, '#templateMonitor', ret.data);
                $api.addCls($api.dom('.noText'), 'hide');
              } else {
                $api.removeCls($api.dom('.noText'), 'hide');
                $apis.html(row_content, '#templateMonitor', ret.data);
              }
            } else {
              api.toast({
                msg: '网络请求超时,请稍后重试',
                duration: 2000,
                location: 'bottom',
              });
            }
          }
        );
      }
    </script>
  </body>
</html>
